import numpy as np
import matplotlib.pyplot as plt
from sklearn.datasets import samples_generator


X, y = samples_generator.make_blobs( n_samples=[50,50,50], n_features=2, 
       centers=np.array( [[4.5,4.0], [-3.0,3.0], [0.0, -4.0]] ), cluster_std=1.2, random_state=20 )

# np.savetxt( "X.txt", X ) 
# np.savetxt( "y.txt", y ) 
# print( y )

fig, ax = plt.subplots( )

ax.scatter( X[:,0], X[:,1], c=y )

plt.show( )

