import numpy as np
import modelo
import matplotlib.pyplot as plt

Xprueba = np.loadtxt( "Xprueba.txt" )

h = 0.2
xx, yy = np.meshgrid(np.arange( -7.0, 8.0, h),
                     np.arange( -7.0, 7.0, h) )

z = np.empty( xx.shape )
n = xx.shape[0]

i = 0
while i < n :
	j = 0
	while j < n :
		p = modelo._joint_log_likelihood( np.array( [xx[i,j], yy[i,j]] ) ) 
		# z[i,j] = modelo.classes_[ np.argmax( p ) ] 
		z[i,j] = np.argmax( p )
		j += 1
	i += 1


fig, ax1 = plt.subplots( )
# Los datos de entrenamiento
ax1.set_title( 'Clasificador Bayes ingenuo' )
ax1.set_xlabel( 'Característica 1' )
ax1.set_ylabel( 'Característica 2' )

ax1.contourf( xx, yy, z, cmap=plt.cm.coolwarm, alpha=0.8 )
ax1.set_aspect( 1 )
ax1.scatter( Xprueba[:,0], Xprueba[:,1], marker='o', edgecolors='k' )

plt.show( )
